圖形 API 版本

Whats App Business Account Call Analytics

閱讀中

Enables one to retrieve the call analytics data for this WhatsApp Business Account

範例

Graph API Explorer
GET /v26.0/{whats-app-business-account-id}/call_analytics HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/{whats-app-business-account-id}/call_analytics',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/{whats-app-business-account-id}/call_analytics",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/{whats-app-business-account-id}/call_analytics",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/{whats-app-business-account-id}/call_analytics"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
如果想瞭解如何使用圖形 API,請參閱我們的使用圖形 API 指南。

參數

參數說明
country_codes
array<string>
預設值:[]

Country codes to receive analytics for

dimensions
array<enum {UNKNOWN, PHONE, COUNTRY, DIRECTION, TIER}>
預設值:[]

Dimensions to receive analytics for

directions
array<enum {UNKNOWN, BUSINESS_INITIATED, USER_INITIATED}>
預設值:[]

Call directions to receive analytics for

end
int64

End time

必填
granularity
enum {HALF_HOUR, DAILY, MONTHLY}

What granularity to receive analytics for

必填
metric_types
array<enum {UNKNOWN, COUNT, AVERAGE_DURATION, COST}>
預設值:[]

Metric types to receive analytics for

phone_numbers
array<string>
預設值:[]

Phone numbers to receive analytics for

start
int64

Start time

必填
tiers
array<string>
預設值:[]

tiers

欄位

由此關係連線進行的閱讀將回傳 JSON 格式結果:

{ "data": [], "paging": {} }

data

WABACallAnalytics 節點的清單。

paging

如需更多有關分頁的詳細資料,請參閱圖形 API 指南。

Error Codes

錯誤說明
100Invalid parameter

建立中

你無法在此端點執行此操作。

更新中

你無法在此端點執行此操作。

刪除中

你無法在此端點執行此操作。